Bug 17086 - REST API: Reword borrowers to patrons in Swagger tags for holds
Summary: REST API: Reword borrowers to patrons in Swagger tags for holds
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lari Taskula
QA Contact: Testopia
URL:
Keywords:
Depends on: 13903
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-09 11:41 UTC by Lari Taskula
Modified: 2018-06-04 20:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17086: Reword borrowers to patrons in Swagger tags for holds (1.14 KB, patch)
2016-08-09 11:44 UTC, Lari Taskula
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17086: Reword borrowers to patrons in Swagger tags for holds (1.25 KB, patch)
2016-11-08 21:01 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 17086: Reword borrowers to patrons in Swagger tags for holds (1.31 KB, patch)
2016-11-20 19:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2016-08-09 11:41:18 UTC
Some routes for holds have tags called "borrowers". We should use "patrons" instead in order not to have both (endpoints for patrons already add "patrons").
Comment 1 Lari Taskula 2016-08-09 11:44:42 UTC
Created attachment 54197 [details] [review]
Bug 17086: Reword borrowers to patrons in Swagger tags for holds

Routes for holds have tags called "borrowers". We should use "patrons" instead
in order not to have both (endpoints for patrons already add "patrons").

This patch changes the tags from borrowers to patrons in:
GET  /holds
POST /holds
Comment 2 Josef Moravec 2016-11-08 21:01:26 UTC
Created attachment 57351 [details] [review]
[SIGNED-OFF] Bug 17086: Reword borrowers to patrons in Swagger tags for holds

Routes for holds have tags called "borrowers". We should use "patrons" instead
in order not to have both (endpoints for patrons already add "patrons").

This patch changes the tags from borrowers to patrons in:
GET  /holds
POST /holds

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Josef Moravec 2016-11-08 21:02:16 UTC
rebased on bug 16699
Comment 4 Katrin Fischer 2016-11-20 19:44:48 UTC
I see more issues with terminology in the holds file:

- reserve should be renamed to be hold in the descriptions, example: Internal reserve identifier
- Found status = Hold status (could also be cancelled)
- Branch code = Library code
- Borrower internal identifier = Patron internal identifier

etc.
Comment 5 Katrin Fischer 2016-11-20 19:46:40 UTC
Created attachment 57671 [details] [review]
[PASSED QA] Bug 17086: Reword borrowers to patrons in Swagger tags for holds

Routes for holds have tags called "borrowers". We should use "patrons" instead
in order not to have both (endpoints for patrons already add "patrons").

This patch changes the tags from borrowers to patrons in:
GET  /holds
POST /holds

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 6 Kyle M Hall 2016-11-22 11:40:28 UTC
Pushed to master for 16.11, thanks Lari!
Comment 7 Mason James 2016-12-14 11:36:27 UTC
Blocked by deps, skipping for 16.05.x